commit:     b73be3798154c97e1ad99c64435b87eec7f0b34d
Author:     Nick Sarnie <sarnex <AT> gentoo <DOT> org>
AuthorDate: Wed May 16 22:07:05 2018 +0000
Commit:     Nick Sarnie <sarnex <AT> gentoo <DOT> org>
CommitDate: Wed May 16 22:08:05 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b73be379

app-emulation/winetricks: Sync with ::wine

Version bump winetricks to 20180513

Original work done by Jimi Huotari <chiitoo <AT> gentoo.org>

Package-Manager: Portage-2.3.36, Repoman-2.3.9

 app-emulation/winetricks/Manifest                  |  1 +
 .../winetricks/winetricks-20180513.ebuild          | 96 ++++++++++++++++++++++
 2 files changed, 97 insertions(+)

diff --git a/app-emulation/winetricks/Manifest 
b/app-emulation/winetricks/Manifest
index 4d6213b747c..e50eaeb8f66 100644
--- a/app-emulation/winetricks/Manifest
+++ b/app-emulation/winetricks/Manifest
@@ -1,3 +1,4 @@
 DIST winetricks-20170823.tar.gz 639027 BLAKE2B 
ce0de22ff3363bd6fd675d07ea235ed5fb03ea7a84b3242329c094d6a9190c61813a1f360e74ece49d43d2dbf48dbbb1e94c4febc6e1a0d84cf1df895b0be6f9
 SHA512 
edc805be1a1c4fa64ae16b14fdd46786e259b88a0cde7afdf24bf934fa79f4acf3d9e599727fa589f155ec265569953b9e419cda79d54057157cbb1510261e3a
 DIST winetricks-20180217.tar.gz 646726 BLAKE2B 
3cde3ca1cd7c74946732c530a49ca532975e037bc2907e88239b4697b3828dfcde3ce250d95e6c03ca36cc36b4e00cd545b0f6b63f984722a737674aff808e27
 SHA512 
3f90ef3381d89c0dac8c4b7acea04d71fe898207c534d4fe00c3db4e5c2e18db90602b78672e8ecf6f754206a999465ba5d8f1f5962e0291386badfc8202cd73
+DIST winetricks-20180513.tar.gz 652299 BLAKE2B 
fb4c55e534e368d5d7e94247feed031d0f6f98a2f3604f6187e32d25659f1cfa7f5589806e429ee054b4a94c00ebd6ac63cb99012fd94a99622891132a477001
 SHA512 
49fc022fc3db068145baf3a51444dc937deb092aceac8e31259888fea21ffe86f747a0d4dbd5ff10f253a94b15de090c01f20dacbe838c8444bdb00b98cbf5c6
 DIST winetricks-gentoo-2012.11.24.tar.bz2 6398 BLAKE2B 
54a4502f6e8ef15d21b02c43e3ce599e32d476c2559246064de14cc4ce2243ff11dde681d24c8a7f4913c3d7a10b855bda47e8fb8ecad31e00d839705416be6f
 SHA512 
59c93b73f3a7b2d11aefcde2ff66659ff1de21ad4b5f232f4b60572f3a48b15a6c49f369b1696862bf1b33fde190bf5598945e9536fb41ddec42d8def4d2be2a

diff --git a/app-emulation/winetricks/winetricks-20180513.ebuild 
b/app-emulation/winetricks/winetricks-20180513.ebuild
new file mode 100644
index 00000000000..58d2e71829b
--- /dev/null
+++ b/app-emulation/winetricks/winetricks-20180513.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit gnome2-utils eutils
+
+if [[ ${PV} == "99999999" ]] ; then
+       EGIT_REPO_URI="https://github.com/Winetricks/${PN}.git";
+       inherit git-r3
+       SRC_URI=""
+else
+       SRC_URI="https://github.com/Winetricks/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~x86"
+fi
+
+wtg=winetricks-gentoo-2012.11.24
+
+SRC_URI="${SRC_URI}
+       gtk? ( https://dev.gentoo.org/~tetromino/distfiles/wine/${wtg}.tar.bz2 )
+       kde? ( https://dev.gentoo.org/~tetromino/distfiles/wine/${wtg}.tar.bz2 
)"
+
+DESCRIPTION="Easy way to install DLLs needed to work around problems in Wine"
+HOMEPAGE="https://github.com/Winetricks/winetricks 
https://wiki.winehq.org/Winetricks";
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+IUSE="gtk kde rar test"
+
+DEPEND="test? (
+               dev-python/bashate
+               dev-util/checkbashisms
+               dev-util/shellcheck
+       )"
+
+RDEPEND="app-arch/cabextract
+       app-arch/p7zip
+       app-arch/unzip
+       net-misc/wget
+       virtual/wine
+       x11-misc/xdg-utils
+       gtk? ( gnome-extra/zenity )
+       kde? ( kde-apps/kdialog )
+       rar? ( app-arch/unrar )"
+
+# Test targets include syntax checks only, not the "heavy duty" tests
+# that would require a lot of disk space, as well as network access.
+
+# This uses a non-standard "Wine" category, which is provided by
+# '/etc/xdg/menus/applications-merged/wine.menu' from the
+# 'app-emulation/wine-desktop-common' package.
+# https://bugs.gentoo.org/451552
+QA_DESKTOP_FILE="usr/share/applications/winetricks.desktop"
+
+src_unpack() {
+       if [[ ${PV} == "99999999" ]] ; then
+               git-r3_src_unpack
+               if use gtk || use kde; then
+                       unpack ${wtg}.tar.bz2
+               fi
+       else
+               default
+       fi
+}
+
+src_test() {
+       ./tests/shell-checks || die "Test(s) failed."
+}
+
+src_install() {
+       default
+       if use gtk || use kde; then
+               cd "${WORKDIR}/${wtg}" || die
+               domenu winetricks.desktop
+               insinto /usr/share/icons/hicolor/scalable/apps
+               doins wine-winetricks.svg
+       fi
+}
+
+pkg_preinst() {
+       if use gtk || use kde; then
+               gnome2_icon_savelist
+       fi
+}
+
+pkg_postinst() {
+       if use gtk || use kde; then
+               gnome2_icon_cache_update
+       fi
+}
+
+pkg_postrm() {
+       if use gtk || use kde; then
+               gnome2_icon_cache_update
+       fi
+}

Reply via email to